import { CallResultStatus } from '../types/dial-status.type';

export interface CallHistoryInfo {
  /** 발신유무 (s) */
  isSend?: boolean;
  /** Call 결과 (s) */
  callResult?: CallResultStatus;
  /** 통화 시작 시간 (s) */
  startDate?: string;
  /** 통화 종료 시간 (s) */
  endDate?: string;
  /** 통화 시간 (s) */
  callTime?: string;
  /** 발신자의 이미지 경로 (s) */
  callingImage?: string;
  /** 발신자 이름 (s) */
  callingName?: string;
  /** 발신자 직책 (s) */
  callingGrade?: string;
  /** 발신자 전화번호 (s) */
  callingDn?: string;
  /** 발신자 고유 일련번호 (s) */
  callingUserSeq?: string;
  /** 수신자 이미지 경로 (s) */
  calledImage?: string;
  /** 수신자 이름 (s) */
  calledName?: string;
  /** 수신자 직책 (s) */
  calledGrade?: string;
  /** 수신자 전화번호 (s) */
  calledDn?: string;
  /** 수신자 고유 일련번호 (s) */
  calledUserSeq?: string;
}

// /** Source number(s) */
// srcNumber ?: string;
// /** Destination number(s) */
// dstNumber ?: string;
// /** 통화상태 구분(s) */
// status ?: string;
// /** 원격호출 시간(s) */
// reqDate ?: string;
// /** 발신자 응답 시간 */
// srcAnswerTime ?: string;
// /** 수신자 응답 시간 */
// dstAnswerTime ?: string;
// /** 통화 종료 시간 */
// endTime ?: string;
// /** 통화 상태 */
// srcDialStatus ?: DialStatus;
// dstDialStatus ?: DialStatus;
